Subject: Re: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Ihor Radchenko <[email-masked]>
Date: Sun, 12 May 2024 07:17:29 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Ihor Radchenko <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 12 May 2024 06:58:32 +0000
>> 
>> Try the following - it should not overshoot and should be more deterministic:
> ...
> P.S. You didn't tell how to run this recipe; I used "M-x eval-buffer".

I also move point somewhere in the middle of progn before running M-x eval-buffer.

> It is still very much unpredictable: sometimes shows the last line at
> the window's top, sometimes doesn't.

I am mostly concerned about the case when the line _does not_ move to
window's top. The other case is what I observed in the past as well. It
is only the case when nothing is moved between begin/end states that
appeared recently.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>